This page is available as an easy-to-read website at [https://ebookfoundation.github.io/](https://ebookfoundation.github.io/free-programming-books/).

# List of Free Learning Resources In Many Languages [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

[View the English list](free-programming-books.md)


## Intro

This list was originally a clone of [StackOverflow - List of Freely Available Programming Books](http://web.archive.org/web/20130824154208/http://stackoverflow.com/a/392926) with contributions from Karan Bhangui and George Stocker.

The list was moved to GitHub by Victor Felder for collaborative updating and maintenance. It has grown to become one of [Github's most popular repositories](https://octoverse.github.com/), with 150,000+ stars, 5000+ commits, 1200+ contributors, and 37,000+ forks.

The [Free Ebook Foundation](https://ebookfoundation.org) now administers the repo, a not-for-profit organization devoted to promoting the creation, distribution, archiving, and sustainability of free ebooks. [Donations](https://ebookfoundation.org/contributions.html) to the Free Ebook Foundation are tax-deductible in the US.


### How To Contribute

Please read [CONTRIBUTING](/CONTRIBUTING.md). If you're new to GitHub, [welcome](/HOWTO.md)!


### How to Share

+ [Share on Twitter](http://twitter.com/intent/tweet?text=https://github.com/EbookFoundation/free-programming-books%0AFree%20Programming%20Books)
+ [Share on Facebook](https://www.facebook.com/share.php?u=https%3A%2F%2Fgithub.com%2FEbookFoundation%2Ffree-programming-books&p[images][0]=&p[title]=Free%20Programming%20Books&p[summary]=)
+ [Share on LinkedIn](http://www.linkedin.com/shareArticle?mini=true&url=https://github.com/EbookFoundation/free-programming-books&title=Free%20Programming%20Books&summary=&source=)
+ [Share on Telegram](https://t.me/share/url?url=https://github.com/EbookFoundation/free-programming-books)


### In Other Written Languages

+ [Arabic / al arabiya / العربية](free-programming-books-ar.md)
+ [Azerbaijani / Азәрбајҹан дили / آذربايجانجا ديلي](free-programming-books-az.md)
+ [Bengali / বাংলা](free-programming-books-bl.md)
+ [Bulgarian / български](free-programming-books-bg.md)
+ [Burmese / မြန်မာဘာသာ](free-programming-books-my.md)
+ [Chinese / 中文](free-programming-books-zh.md)
+ [Czech / čeština / český jazyk](free-programming-books-cs.md)
+ [Danish / dansk](free-programming-books-dk.md)
+ [Dutch / Nederlands](free-programming-books-nl.md)
+ [English](free-programming-books.md)
+ [Estonian / eesti keel](free-programming-books-et.md)
+ [Finnish / suomi / suomen kieli](free-programming-books-fi.md)
+ [French / français](free-programming-books-fr.md)
+ [German / Deutsch](free-programming-books-de.md)
+ [Greek / ελληνικά](free-programming-books-gr.md)
+ [Hungarian / magyar / magyar nyelv](free-programming-books-hu.md)
+ [Indonesian / Bahasa Indonesia](free-programming-books-id.md)
+ [Italian / italiano](free-programming-books-it.md)
+ [Japanese / 日本語](free-programming-books-ja.md)
+ [Korean / 한국어 [韓國語]](free-programming-books-ko.md)
+ [Norwegian / Norsk](free-programming-books-no.md)
+ [Persian / Farsi (Iran) / فارسى](free-programming-books-fa_IR.md)
+ [Polish / polski / język polski / polszczyzna](free-programming-books-pl.md)
+ [Portuguese (Brazil)](free-programming-books-pt_BR.md)
+ [Portuguese (Portugal)](free-programming-books-pt_PT.md)
+ [Romanian (Romania) / limba română / român](free-programming-books-ro.md)
+ [Russian / Русский язык](free-programming-books-ru.md)
+ [Slovak / slovenčina](free-programming-books-sk.md)
+ [Spanish / español / castellano](free-programming-books-es.md)
+ [Swedish / Svenska](free-programming-books-se.md)
+ [Tamil / தமிழ்](free-programming-books-ta.md)
+ [Thai / ไทย](free-programming-books-th.md)
+ [Turkish / Türkçe](free-programming-books-tr.md)
+ [Ukrainian / Українська](free-programming-books-ua.md)


### Cheat Sheets

+ [All Languages](free-programming-cheatsheets.md)


### Free Online Courses

+ [Bulgarian / български](free-courses-bg.md)
+ [English](free-courses-en.md)
+ [Finnish](free-courses-fi.md)
+ [German / Deutsch](free-courses-de.md)
+ [Hindi / हिंदी](free-courses-hi.md)
+ [Indonesian / Bahasa Indonesia](free-courses-id.md)
+ [Italian / italiano](free-courses-it.md)
+ [Korean / 한국어 [韓國語]](free-courses-ko.md)
+ [Persian / Farsi (Iran) / فارسى](free-courses-fa_IR.md)
+ [Polish / polski / język polski / polszczyzna](free-courses-pl.md)
+ [Portuguese (Brazil)](free-courses-pt_BR.md)
+ [Portuguese (Portugal)](free-courses-pt_PT.md)
+ [Russian / Русский язык](free-courses-ru.md)
+ [Spanish / español / castellano](free-courses-es.md)
+ [Thai / ภาษาไทย](free-courses-th.md)
+ [Turkish / Türkçe](free-courses-tr.md)
+ [Ukrainian / Українська](free-courses-ua.md)
+ [Vietnamese / Tiếng Việt](free-courses-vi.md)


### Interactive Programming Resources

+ [English](free-programming-interactive-tutorials-en.md)
+ [Russian / Русский язык](free-programming-interactive-tutorials-ru.md)


### Problem Sets and Competitive Programming

+ [Problem Sets](problem-sets-competitive-programming.md)


### Podcast - Screencast

Free Podcasts and Screencasts:

+ [Czech / čeština / český jazyk](free-podcasts-screencasts-cs.md)
+ [English](free-podcasts-screencasts-en.md)
+ [Finnish / Suomi](free-podcasts-screencasts-fi.md)
+ [Polish / polski / język polski / polszczyzna](free-podcasts-screencasts-pl.md)
+ [Portuguese (Brazil)](free-podcasts-screencasts-pt_BR.md)
+ [Russian / Русский язык](free-podcasts-screencasts-ru.md)
+ [Spanish / español / castellano](free-podcasts-screencasts-es.md)
+ [Swedish / Svenska](free-podcasts-screencasts-se.md)


### Programming Playgrounds

+ [Chinese / 中文](free-programming-playgrounds-zh.md)
+ [English](free-programming-playgrounds.md)


## License

Each file included in this repository is licensed under the [CC BY License](LICENSE).
